Manifest-Version: 1.0
Bnd-LastModified: 1750317134469
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Batch Engine API
Bundle-SymbolicName: com.liferay.batch.engine.api
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 17.0.1.hotfix-6698-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.batch.engine;version="5.1.0.hotfix-6698-74
 13";uses:="com.liferay.batch.engine.model,com.liferay.batch.engine.pa
 gination,com.liferay.batch.engine.strategy,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.sear
 ch.filter,com.liferay.portal.odata.entity",com.liferay.batch.engine.c
 onfiguration;version="2.0.1.hotfix-6698-7413";uses:="aQute.bnd.annota
 tion.metatype,com.liferay.portal.configuration.metatype.annotations",
 com.liferay.batch.engine.constants;version="1.2.0.hotfix-6698-7413",c
 om.liferay.batch.engine.exception;version="1.2.0.hotfix-6698-7413";us
 es:="com.liferay.portal.kernel.exception",com.liferay.batch.engine.mo
 del;version="6.2.0.hotfix-6698-7413";uses:="com.liferay.exportimport.
 kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,c
 om.liferay.portal.kernel.annotation,com.liferay.portal.kernel.bean,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.model.wrapper
 ,com.liferay.portal.kernel.util",com.liferay.batch.engine.pagination;
 version="1.0.0.hotfix-6698-7413",com.liferay.batch.engine.service;ver
 sion="4.0.0.hotfix-6698-7413";uses:="com.liferay.batch.engine.model,c
 om.liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl.query,co
 m.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.search,com.liferay.portal.kernel.securit
 y.access.control,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.service.persistence,com.liferay.portal.kernel.transaction,com
 .liferay.portal.kernel.util",com.liferay.batch.engine.service.persist
 ence;version="3.3.0.hotfix-6698-7413";uses:="com.liferay.batch.engine
 .exception,com.liferay.batch.engine.model,com.liferay.portal.kernel.d
 ao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.se
 rvice.persistence,com.liferay.portal.kernel.util",com.liferay.batch.e
 ngine.strategy;version="1.0.0.hotfix-6698-7413";uses:="com.liferay.pe
 tra.function"
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.batch.engine.exception;version="1.2",com.liferay.batch.engine.mode
 l;version="6.2",com.liferay.batch.engine.pagination;version="1.0",com
 .liferay.batch.engine.strategy;version="1.0",com.liferay.exportimport
 .kernel.lar;version="4.3",com.liferay.petra.function;version="1.5",co
 m.liferay.petra.sql.dsl;version="1.1",com.liferay.petra.sql.dsl.base;
 version="1.0",com.liferay.petra.sql.dsl.query;version="2.0",com.lifer
 ay.portal.configuration.metatype.annotations;version="1.5",com.lifera
 y.portal.kernel.annotation;version="7.0",com.liferay.portal.kernel.be
 an;version="10.0",com.liferay.portal.kernel.dao.orm;version="12.0",co
 m.liferay.portal.kernel.exception;version="12.3",com.liferay.portal.k
 ernel.jsonwebservice;version="9.0",com.liferay.portal.kernel.model;ve
 rsion="24.0",com.liferay.portal.kernel.model.wrapper;version="3.0",co
 m.liferay.portal.kernel.search;version="17.0",com.liferay.portal.kern
 el.search.filter;version="1.0",com.liferay.portal.kernel.security.acc
 ess.control;version="2.0",com.liferay.portal.kernel.service;version="
 17.0",com.liferay.portal.kernel.service.persistence;version="16.0",co
 m.liferay.portal.kernel.transaction;version="8.1",com.liferay.portal.
 kernel.util;version="45.0",com.liferay.portal.odata.entity;version="2
 .0",org.hibernate.proxy
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Batch Engine
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-4.3.0.201909301554

